Get email templates

Get email templates

get
Query parameters
EventIdstringOptional

The event id of the email.

CountryCodestringOptional

The country code of the email. This value is used to determine the country of the email. Following the ISO 3166-1 alpha-2 standard. For example, "US" for United States, "FR" for France, etc.

LanguageCodestringOptional

The language code of the email. This value is used to determine the language of the email. Following the ISO 639-1 standard. For example, "en" for English, "fr" for French, etc.

SubjectstringOptional

The subject of the email.

BodystringOptional

The body of the email.

TagsstringOptional

The tags of the email.

SortDataFieldstringOptional

The sort data field to sort. By default, the value is ID.

SortOrderstring · enumOptional

Specifies the sorting order type for a collection.

Possible values:
PageNumberinteger · int32Optional

The page number of the pagination. Default value is 0.

PageSizeinteger · int32Optional

The page size of the pagination. Default value is 200.

Header parameters
Brand-URLstringRequired

The brand URL of the request. This is used to identify the brand.

Example: YOUR_BRAND_URL
Auth-KeystringRequired

Auth-Key is required to authenticate the request. If missing, the server will return 401 Unauthorized.

Example: YOUR_AUTH_KEY
Responses
chevron-right
201

The request was successful.

application/json

This provides interfaces for API responses with data.

successbooleanRead-onlyRequired

This is the flag to indicate whether the API call is successful or not.

statusCodeinteger · int32Read-onlyRequired

This is the HTTP status code. This is used to determine the status code to be returned to the client.

messagestring · min: 1Read-onlyRequired

This is the message to be displayed to the user.

get
/api/v1/email-templates

Last updated